Package org.apache.sling.feature.maven.mojos.apis

# Class JavadocLinks

java.lang.Object
org.apache.sling.feature.maven.mojos.apis.JavadocLinks

public class JavadocLinks extends Object

## Constructor Summary

Constructors
Constructor
Description
`JavadocLinks()`

## Method Summary

Modifier and Type
Method
Description
`void`
`calculateLinks(List<String> globalJavaDocLinks, Collection<ApisJarContext.ArtifactInfo> infos, org.apache.sling.feature.Artifact framework)`
`Set<String>`
`getJavadocLinks()`
`Set<String>`
`getLinkedPackages()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JavadocLinks

public JavadocLinks()

## Method Details

### calculateLinks

public void calculateLinks(List<String> globalJavaDocLinks, Collection<ApisJarContext.ArtifactInfo> infos, org.apache.sling.feature.Artifact framework) throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`

### getJavadocLinks

public Set<String> getJavadocLinks()

### getLinkedPackages

public Set<String> getLinkedPackages()